GET /api/v202208/dashboard/{dashboardId}/mapsetting

Gets the current display settings and filters for a specific map dashboard. Cannot be used to retreive settings for a standard dashboard.

GetMapDashboardSettingsV202208 Permissions: DashboardAndMapsModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
dashboardId The identifier of the dashboard to get the settings of integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

MapDashboardSettingsResponseV202208
Property Description Type
description The description of the dashboard. Maximum length of 255 characters. string
fixedCommodities List of Commodities to display for Cost, Use, and GHG, if applicable. Empty if GlobalCommodityDisplay is set to “Highest” or “Lowest”. CommodityChild[]
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
globalCommodityDisplay Display order for commodities. Applied individually to Cost, Use, and GHG Emissions. Highest - Order displayed commodities in order of Highest Cost/Use/GHG Emissions Lowest - Order displayed commodities in order Lowest Cost/Use/GHG Emissions Fixed - Display up to 5 fixed commodities for each data type. string
mapDashboardFilters Filters applied to the dashboard. FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
showCost Flag to indicate if Cost data is shown on the dashboard. boolean
showGHG Flag to indicate if Greenhouse Gas data is shown on the dashboard. boolean
showUse Flag to indicate if Use data is shown on the dashboard. boolean
title The title of the dashboard. Maximum length of 255 characters. string
Example Response application/json
{  "description": "string",  "fixedCommodities": [
    {    "commodityCode": "string",    "commodityIcon": {      "code": "string",      "color": "string"
    },    "commodityId": 1,    "commodityInfo": "string"
  }
  ],  "globalCommodityDisplay": "string",  "mapDashboardFilters": [
    {    "availableOperator": [
      "string"
    ],    "caption": "string",    "dataFieldId": 1,    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "fieldId": 1,    "hidden": false,    "operator": "string",    "queryParameterName": "string",    "recommended": false,    "required": false,    "value": "string"
  }
  ],  "showCost": false,  "showGHG": false,  "showUse": false,  "title": "string"
}